Page MenuHomePhabricator

Enable constraint checks on qualifiers and references on Wikidata
Closed, ResolvedPublic

Description

Once all the code for T168532: Check constraints on qualifiers and references is ready and deployed, and once T175590: Switch to new wbcheckconstraints API format on Wikidata is active on Wikidata, we also need to enable constraint checks on qualifiers and references with the following config snippet:

$wgWBQualityConstraintsCheckQualifiers = true;
$wgWBQualityConstraintsCheckReferences = true;

(I don’t think it makes sense to enable them separately, though we might want to disable one of them if it turns out the results are unexpectedly bad.)

We probably don’t want to do this on the same day as T175590: Switch to new wbcheckconstraints API format on Wikidata (Tuesday, 2017-10-10), but on the other hand I don’t think we need to wait a lot longer with it either. Perhaps do it on Wednesday or Thursday? @Ladsgroup would you be available to deploy this? (Assuming, of course, that the required changes are reviewed and deployed by then.)

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptSep 27 2017, 12:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 383163 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Enable constraint checks on qualifiers and references

https://gerrit.wikimedia.org/r/383163

Change 383163 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable constraint checks on qualifiers and references

https://gerrit.wikimedia.org/r/383163

Mentioned in SAL (#wikimedia-operations) [2017-10-11T13:24:55Z] <hashar@tin> Synchronized wmf-config/Wikibase-production.php: Enable constraint checks on qualifiers and references - T176863 (duration: 00m 47s)

Lucas_Werkmeister_WMDE closed this task as Resolved.Oct 11 2017, 2:04 PM
Lucas_Werkmeister_WMDE claimed this task.